const express = require("express");
const bodyParser = require("body-parser");
const producer = require("./kafkaproducer");

const router = express.Router();
router.use(bodyParser.json());

router.post("/send-message", (req, res) => {
  const message = req.body.message;
  const payloads = [{ topic: "test-topic", messages: message }];

  producer.send(payloads, (err, data) => {
    if (err) {
      console.error("Error sending message:", err);
      res.status(500).json({ error: "Error sending message to Kafka" });
    } else {
      console.log("Message sent:", data);
      res.status(200).json({ message: "Message sent successfully" });
    }
  });
});

module.exports = router;
